Bug 251286 - kdebase: Adding fonts via KDE Control Center messes up Xorg config causing fatal errors
kdebase: Adding fonts via KDE Control Center messes up Xorg config causing fa...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
https://www.redhat.com/archives/fedor...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-08 02:34 EDT by Arthur Pemberton
Modified: 2008-09-07 01:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-07 01:09:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arthur Pemberton 2007-08-08 02:34:21 EDT
Description of problem:

Shutdown machine without notice of any problems. Booted up next day
and Xorg, and in turn KDM wouldn't load. /var/log/messages was quiet
but both /var/log/kdm.log and /var/log/Xorg.0.log showed:

could not open default font 'fixed'


Steps to Reproduce:
1. Log into KDE desktop
2. K Menu > Control Center  > System Administration > Font Installer
3. Enter administration mode
4. Attempt to add (.ttf) font
5. Save changes

  
Actual results:
- fonts failed to be added
- xorg could not start on next boot


Expected results:
- fonts were added along side current XFS managed fonts


Solution:

I eventually found out that I had an entry in my xorg.cong:Files

FontPath "/usr/local/share/fonts"

commenting that out fixed the problem.


Cause:

According to the Google cache of the Xorg wiki (which was down at the
time), "The use of the font server xfs is deprecated due to several
bugs in it. It is recommended that the Xserver loads the fonts
directly."

So I'm guessing KDE assumes that font paths are setup via xorg.cong. I
had attempted to add ttf fonts via KDE's control center (it did ask
for root password). Incidentally, I did notice that that did not add
the fonts in question, so I went back to how I normally add fonts,
using fonts:/Personal (that worked as normal).

I'm not sure what a possible resolution is, but I think it's fair to
expect people to attempt to use Control Center to add a font.
(although using fonts:/Personal is better)
Comment 1 Edward Karavakis 2007-11-12 09:01:50 EST
Bugzilla Bug 251286: kdebase: Adding fonts via KDE Control Center messes up Xorg
config causing fatal errors

The bug exists on Fedora 8 as well. Could you please update the version to
include F8?
Comment 2 Rex Dieter 2007-11-12 09:12:16 EST
kfontinst looks broken, when simply copying fonts to ~/.fonts is simpler and
works.  Maybe it would be best to simply remove the brokeness (ie, omit kfontinst)
Comment 3 Bug Zapper 2008-05-14 09:54:49 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Arthur Pemberton 2008-09-07 01:09:23 EDT
This no longer seems to be an issue. I attempted the same use case with KDE 4.1.1 in rawhide, and rebooted without issue, and fonts:/System shows the installed.

On a side note it cool to install the font directly from an smb share via kio_slaves.

Note You need to log in before you can comment on or make changes to this bug.